INTERFACE
SUBROUTINE RESTORE_VDFOUT(KJ, KJREF, KSTART,KSTEP,&
 & KIDIA,KFDIA,KLON,KLEV,KLEVS,KTILES,KSTGLO,&
 & PWSA,PTSA, PAZ0M,PAZ0H,&
 & PVDIS,PVDISG, PDISSGW, PFTLHEV, PFTLHSB, PFWSB,PBIR,PVAR,&
 & PUCFL,PVCFL,PTCFL,PDCFL,PQCFL,PZINV,PBLH,KHPBLN,&
 & PU10N,PV10N,PUST,&
 & PFRSOTI,PEVAPSNW,PGUST, PWUAVG,LDNODECP,KPBLTYPE,&
 & PTENT,PTENQ,PTENL,PTENI,PTENA,PTENU,PTENV,&
 & PTLE1, PTL, PT,PQ,&
 & PUSTRTI,PVSTRTI,PAHFSTI,PEVAPTI,PTSKTI,&
 & PDIFTS,PDIFTQ,PDIFTL,PDIFTI,PSTRTU,PSTRTV,PTOFDU,PTOFDV,&
 & PSTRDU,PSTRDV,PKH_VDF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KJ
INTEGER(KIND=JPIM),INTENT(IN) :: KJREF
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVS
INTEGER(KIND=JPIM),INTENT(IN) :: KTILES
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWSA(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSA(KLON,KLEVS)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KHPBLN(KLON),KPBLTYPE(KLON)
LOGICAL,INTENT(INOUT) :: LDNODECP(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAZ0M (KLON),PAZ0H(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDIS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDISG(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDISSGW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFTLHEV(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFTLHSB(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFWSB(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBIR(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVAR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUCFL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVCFL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTCFL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDCFL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQCFL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZINV(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBLH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU10N(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10N(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUST(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSOTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVAPSNW(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGUST(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWUAVG(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTLE1(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUSTRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSTRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAHFSTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVAPTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSKTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOFDU(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOFDV(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRDU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRDV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKH_VDF(KLON,KLEV)
END SUBROUTINE RESTORE_VDFOUT
END INTERFACE
